/**
 * title: "上下调整形态"
 * description: "onChange 第一个参数是输入框 value， 第二个参数 e.Event 事件对象。editable 属性设置是否可输入。"
 */
import React from 'react';
import { NumberPicker } from '@alicloud/console-components';
var titleStyle = {
    margin: '4px 0 4px',
    color: '#1D1D1F',
    height: 20,
};
var contentStyle = {
    display: 'grid',
    gridTemplateColumns: 'repeat(2, 1fr)',
    gap: 36,
};
function onChange(value, e) {
    console.log(value, e.type, e.triggerType);
}
export default (function () {
    return (React.createElement("div", { style: contentStyle },
        React.createElement("div", null,
            React.createElement("div", { style: titleStyle }, "\u9ED8\u8BA4"),
            React.createElement(NumberPicker, { max: 7, onChange: onChange })),
        React.createElement("div", null,
            React.createElement("div", { style: titleStyle }, "\u8F93\u5165\u5B8C\u6210"),
            React.createElement(NumberPicker, { defaultValue: 5, max: 7, onChange: onChange })),
        React.createElement("div", null,
            React.createElement("div", { style: titleStyle }, "\u7981\u7528"),
            React.createElement(NumberPicker, { defaultValue: 6, max: 7, disabled: true }))));
});
